import React, { useState, ReactNode } from 'react';
import Modal from 'react-bootstrap/Modal';
import 'bootstrap/dist/css/bootstrap.min.css';

type ModalComponentProps = {
  triggerComponent: ReactNode;
  showModalComponent: ReactNode;
  body: string;
  footer: string;
};

const ModalComponent: React.FC<ModalComponentProps> = ({
  triggerComponent,
  // modalContent,
  showModalComponent,
  body,
  footer,
}: ModalComponentProps) => {
  const [show, setShow] = useState(false);

  const handleClose = () => setShow(false);
  const handleShow = () => setShow(true);

  return (
    <>
      <div onClick={handleShow}>
        {showModalComponent}
      </div>
      <Modal show={show} onHide={handleClose}>
        <Modal.Body>{body}</Modal.Body>
        <Modal.Footer>
          <button 
            onClick={handleClose}
            className="bg-[#6b6b6b] text-[21px] bg-opacity-20 mr-3 px-3 py-1"
          > {footer} </button>
          {triggerComponent}
        </Modal.Footer>
      </Modal>
    </>
  );
};

export default ModalComponent;
