import Cookies from 'js-cookie';

const getToken = () => {
    const token = Cookies.get('token');
    return token;
};

const decodeToken = (token) => {
    try {
        const decodedToken = JSON.parse(atob(token.split(".")[1]));
        return decodedToken;
    } catch (e){
        return null;
    }
}

const isTokenValid = (token) => {
    if (!token){
        return false;
    }

    const decodedToken = decodeToken(token);
    if (!decodedToken){
        return false;
    }

    const currTime = Date.now() / 1000;
    return decodedToken.exp > currTime;
}

const checkToken = () => {
    const token = getToken();
    const isValid = isTokenValid(token);

    if (!isValid){
        Cookies.remove('token');
    }

    return isValid;
}

export default checkToken;